Python 3.10 具有强大的模式匹配功能、更好的错误报告等。这是最引人的新的特性。Python 现在需要OpenSSL 1.1.1 或更新版本。不再支持旧版本。这会影响 hashlib、hmac 和 ssl 模块,并使 CPython 的关键依赖项之一现代化。

经过多次 alpha、beta 和 rc 测试,Python 编程语言终于发布了 3.10 版本。

Python 3.10 将在未来 18 个月内收到错误修复更新。 之后,它支持 5 年的安全更新,直到 2026 年 10 月。

Python 3.10 中的新功能:

  • 模式匹配语法,灵感来自 Scala、Erlang 和其他语言中的类似语法。
  • 支持上下文管理器中跨多行使用括号继续。
  • 允许将联合类型写为 X | Y
  • 向 zip 添加可选的长度检查
  • 用于调试和其他工具的精确行号
  • 删除 Py_UNICODE 编码器 API
  • 添加可选的 EncodingWarning
  • 显式类型别名
  • 参数规范变量

Python 3.10 带来了改进的错误消息

Python 3.10 中另一个真正有用的重大改进是改进了错误消息。许多错误消息都得到了改进,不仅提供了关于错误的更精确的信息,而且提供了关于错误实际发生位置的更精确的信息。

例如,在下面显示的缺少括号的代码中,旧错误只是一个无效的语法消息,甚至没有正确的行号。

现在我们可以看到正确的行号、正确的位置和好的错误描述。

这对于以前经常只被错误消息弄糊涂的初学者特别有帮助。

此外,整个 distutils 包已被弃用,并将在 Python 3.12 中删除。在 Python 3.10 中没有添加新模块,但改进了很多模块。

有关 Python 3.10 的更多信息,请参阅发行说明

如何在 Ubuntu 中安装 Python 3.10:

值得信赖的“deadsnakes” team PPA 已经为 Ubuntu 20.04、Ubuntu 18.04 和衍生产品制作了软件包,例如 Linux Mint 20、Elementary OS 6 和 Zorin OS 16。

1、首先,通过从概览屏幕搜索或按键盘上的 Ctrl+Alt+T 来打开终端。 当它打开时,运行命令添加 PPA:

linuxmi@linuxmi:~/www.linuxmi.com$ sudo add-apt-repository ppa:deadsnakes/ppa

2、然后刷新系统缓存并通过命令安装Python 3.10:

linuxmi@linuxmi:~/www.linuxmi.com$ sudo apt update && sudo apt install python3.10

使用 Python 3.10 作为默认 Python3:

可以通过以下命令使 Ubuntu 中的 Python3 成为 Python3.10。 但是,它会导致问题,例如 Gnome 终端拒绝启动。 风险自负!

检查当前的 Python3 版本:

linuxmi@linuxmi:~/www.linuxmi.com$ python3 –version

使用 update-alternatives 创建指向 python3 的符号链接(将 Ubuntu 16.04 中的 python3.8 替换为 ):

linuxmi@linuxmi:~/www.linuxmi.com$ sudo update-alternatives –install /usr/bin/python3 python3 /usr/bin/python3.8 1

linuxmi@linuxmi:~/www.linuxmi.com$ sudo update-alternatives –install /usr/bin/python3 python3 /usr/bin/python3.10 2

并通过命令选择将哪一个用作 Python3:

linuxmi@linuxmi:~/www.linuxmi.com$ sudo update-alternatives –config python3

发表评论